#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

#ifdef OKRUZNOMAKS
    freopen("../input.txt", "r", stdin);
    freopen("../output.txt", "w",stdout);
#endif // OKRUZNOMAKS

    cout << 0 << endl;

    return 0;
}